Subject: Re: Help w/ these GS cards
From: [email-masked] (David Empson)
Date: Tue, 29 Aug 1995 12:52:03 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
Frank Bruno <fbruno@I_should_put_my_domain_in_etc_NNTP_INEWS_DOMAIN> wrote:

Interesting mail name you have there.  Some setup missing, perhaps?

> Hello,
> 	I am in the process of getting a ][gs, ROM 03, HD, 1 MB Ram,
> but I am always looking to expand it, so I contacted a friend w/
> some GS stuff and got a few things and I want to know if they are any good.
> 
> 1) Zip/GS 1.01 He was told this was flakey. Is this true? should I attempt
> to use it?

I don't know about any rumoured problems with the card, but I've never
actively investigated it, so there may well be problems.  Version 1.02
came out very quickly after the ZIP was released, and was still the
current version (with a wide range of different options on the card
enabled) when I last saw a new one.

> 2) PlusRam GS-8 w/ prom disk. has 1MB installed, expandable to 8MB...
> anyone got 1Mbit dips???

A _real_ PROM disk?  That is what I call a non-feature.  Who wants to
go to the trouble of burning EPROMs to set up a ROM disk?  Even a
ROM disk created from battery backed RAM is a waste of time if you
want to boot from it (unless you are running the IIgs in 8-bit mode
all the time), as the ROM disk is limited to 512K.

(There are some exceptions to this - some cards turn RAM outside the
$F0-$F7 banks into a ROM disk, which allows it to be larger than 512K.)

I believe this card is not DMA compatible, which will cause speed
problems with either of the faster SCSI interface cards.

> 3) A card which plugs into the memory expansion slot and contains a battery
> backup so that you can turn your RAM card into non-volitile storage.

Can you be more specific?  I can think of two cards that this might be:

1. An Applied Engineering RamKeeper.  I don't know much about these.

2. An OctoRAM ESP.  This is a piggy-back static RAM card (ROM disk) for
   an OctoRAM memory card.  It is useless unless you have this memory card.

The RamKeeper sounds like the more likely of the two.

> If anyone has experience with any of these, let me know. Also, switch
> settings or software for the Zip/GS would be good, all others came w/
> software and box. 

There is a freeware ProDOS-8 program called ZIPPY that lets you
control all the options of the ZIP GS.  It should be available on some
of the FTP sites.

The software supplied with the ZIP includes an installation guide,
setup application, INIT for modifying the settings during GS/OS boot,
graphical Control Panel and a Classic Desk Accessory for setting up
the card.

The switch settings are as follows.  The descriptions here are
derived from the documentation that used to be supplied with the card
(later versions didn't include switch settings).  I've used ZIP's
names for each option.  In each case, the switch must be set OFF to
enable the function, ON to disable it.

1-1   Cxxx/Dxxx Cache Disable.  Leave this switch ON (option disabled,
      i.e. enable caching of Cxxx/Dxxx).

1-2   Joystick Delay.  This will slow the computer down whenever the
      joystick is accessed (it is timing critical).  I usually leave
      this one ON to avoid the delay - most joystick programs have to
      run in slow mode anyway, so this delay in useless.

1-3   AppleTalk Delay.  This switch should be set ON unless you are
      booting from an AppleShare server, or using AppleTalk with
      System 5.0.4 or earlier.

1-4   Counter Delay.  This switch should be set ON.  Its only
      documented function is to allow one of the IIgs self tests to
      pass, but a later one will fail anyway.

1-5   CPS Follow.  This switch must be set OFF.  It causes the ZIP
      to be disabled automatically when the IIgs switches to "Normal"
      speed.  This is a requirement for a reasonable amount of timing-
      critical software.

1-6   Disable.  The card should normally be enabled (switch ON), but you
      can disable it if you want to run some "fast" mode games, for
      example.

1-7 and 1-8 control the cache size, which must correspond to the installed
      RAM chips.  The cache uses matching pairs of TAG and DATA RAMs.  The
      supported cache sizes are 8k (1-7 ON, 1-8 ON), 16k (1-7 ON, 1-8 OFF),
      32k (1-7 OFF, 1-8 ON) and 64k (1-7 OFF, 1-8 OFF).

2-1 through 2-7 control slot delays for each slot from 1 to 7.  Set
      the switch OFF to enable the delay for the corresponding slot.  This
      is generally only needed for a small number of cards that are speed
      critical but not IIgs-aware.  5.25" disk interface cards are
      covered by the CPS FOLLOW option (1-5) if they are in slots 4 to 7.

      I have found that it is necessary to enable the delay for slot 6 when
      using a 3.5" drive connected to the IIgs disk port.  There are a few
      rare cases in which a long timed operation is performed in fast mode,
      and the ZIP throws the timing out unless this delay is enabled.  In
      my case, I had some strange disk errors with certain disks until I
      enabled this delay.

2-8   Speaker Delay.  This causes the IIgs to slow down whenever the
      speaker is accessed directly, allowing sounds to come out normally. 
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand
Path: news.uiowa.edu!news.uiowa.edu!hobbes.physics.uiowa.edu!math.ohio-state.edu!howland.reston.ans.net!newsfeed.internetmci.com!news.msfc.nasa.gov!pendragon.jsc.nasa.gov!ames!lll-winken.llnl.gov!fnnews.fnal.gov!nntp-server.caltech.edu!toddpw
From: [email-masked] (Todd P. Whitesel)
Newsgroups: comp.sys.apple2
Subject: Re: Help w/ these GS cards
Date: 30 Aug 1995 10:30:26 GMT
Organization: California Institute of Technology, Pasadena
Lines: 41
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
NNTP-Posting-Host: mince.ugcs.caltech.edu
X-Newsreader: NN version 6.5.0 #14 (NOV)

[email-masked] (David Empson) writes:

>> 1) Zip/GS 1.01 He was told this was flakey. Is this true? should I attempt
>> to use it?

>I don't know about any rumoured problems with the card, but I've never
>actively investigated it, so there may well be problems.  Version 1.02
>came out very quickly after the ZIP was released, and was still the
>current version (with a wide range of different options on the card
>enabled) when I last saw a new one.

1.01 _was_ flaky. I hope ZIP is still around to upgrade it. I don't remember
what the problems were, but ZIP was very eager to upgrade everyone's cards
back then so I'd imagine the bugs were fairly embarrassing when they hit...

>1-3   AppleTalk Delay.  This switch should be set ON unless you are
>      booting from an AppleShare server, or using AppleTalk with
>      System 5.0.4 or earlier.

Actually this is propaganda. With beefier ZIPs it does not prevent packet
loss problems. The correct solution is either to run ZipTalk (system 5) or
to use system 6. When booting from an appleshare server, it is better to
boot the IIgs with the ZIP disabled and have the ZIP.INIT enable it after
system 6 or the ZipTalk init have been loaded.

The AppleTalk Delay is also a significant performance drain. When VBL
interrupts are active (e.g. any desktop program), AppleTalk Delay will
kick in every 16.6 ms and turn your ZIP off for 5 ms, nearly 1/3 of the
time. This is yucky.

>1-5   CPS Follow.  This switch must be set OFF.  It causes the ZIP
>      to be disabled automatically when the IIgs switches to "Normal"
>      speed.  This is a requirement for a reasonable amount of timing-
>      critical software.

I don't recommend anybody _ever_ setting this to on. You really don't gain
much and it screws up floppy drives. It will also defeat the system 6 fix
for the AppleTalk problem, if I remember right (I'm not 100% sure).

Todd Whitesel
toddpw @ ugcs.caltech.edu